Subject: Re: [PATCH net-next] sock: don't enable netstamp for af_unix sockets

From: Richard Cochran <[email-masked]>
Date: Tue, 27 Oct 2015 11:11:58 +0100

On Mon, Oct 26, 2015 at 02:32:59PM +0100, Hannes Frederic Sowa wrote:
> On Mon, Oct 26, 2015, at 14:19, Richard Cochran wrote:
> > On Mon, Oct 26, 2015 at 01:51:37PM +0100, Hannes Frederic Sowa wrote:
> > > netstamp_needed is toggled for all socket families if they request
> > > timestamping. But some protocols don't need the lower-layer timestamping
> > > code at all. This patch starts disabling it for af-unix.
> > 
> > What problem is this patch trying to solve?
> 
> netstamp_needed is a static-key which enables timestamping code in the
> networking stack receive functions for every packet, while it is not
> needed for AF_UNIX/LOCAL. So it is merely a small performance
> enhancement.

Are there any numbers that show the effect of this enhancement?

Thanks,
Richard